osl::kakinoki::KakinokiFile Class Reference

`#include <kakinoki.h>`

Inheritance diagram for osl::kakinoki::KakinokiFile:

## Public Member Functions

| KakinokiFile (const std::string &filename)
| ~KakinokiFile ()
Public Member Functions inherited from osl::record::RecordFile
virtual | ~RecordFile ()
Record | load () const
const NumEffectState | initialState () const
const std::vector< Move > | moves () const

## Static Public Member Functions

static bool | isKakinokiFile (const std::string &filename)
static void | parseLine (SimpleState &state, Record &record, std::string s, CArray< bool, 9 > &board_parsed)

## Additional Inherited Members

Protected Attributes inherited from osl::record::RecordFile
Record | record

## Detailed Description

Definition at line 20 of file kakinoki.h.

## Constructor & Destructor Documentation

## KakinokiFile()

osl::kakinoki::KakinokiFile::KakinokiFile | ( | const std::string & | filename | ) |

Definition at line 217 of file kakinoki.cc.

References osl::SimpleState::init(), osl::SimpleState::isConsistent(), K_HENKA, parseLine(), osl::record::RecordFile::record, and osl::misc::sjis2euc().

## ~KakinokiFile()

osl::kakinoki::KakinokiFile::~KakinokiFile | ( |  | ) |

Definition at line 252 of file kakinoki.cc.

## Member Function Documentation

## isKakinokiFile()

bool osl::kakinoki::KakinokiFile::isKakinokiFile | ( | const std::string & | filename | ) |

static

Definition at line 257 of file kakinoki.cc.

References K_KIFU, K_SENKEI, K_TEAIWARI, and osl::misc::sjis2euc().

## parseLine()

void osl::kakinoki::KakinokiFile::parseLine | ( | SimpleState & | state,
|  | Record & | record,
|  | std::string | s,
|  | CArray< bool, 9 > & | board_parsed )

static

Definition at line 20 of file kakinoki.cc.

References osl::Record::addWithNewLine(), osl::CArray< T, Capacity >::begin(), osl::BLACK, osl::Record::BlackWin, osl::CArray< T, Capacity >::end(), osl::misc::eucToLang(), osl::CArray< T, Capacity >::fill(), osl::HIRATE, osl::SimpleState::init(), osl::SimpleState::initPawnMask(), osl::KanjiMove::instance(), osl::Move::isNormal(), osl::isPiece(), osl::SimpleState::isValidMove(), K_BLACK, K_COLON, K_K1, K_K10, K_K2, K_K3, K_K4, K_K5, K_K6, K_K7, K_K8, K_K9, K_KAISHI, K_KISEN, K_MOCHIGOMA, K_NASHI, K_NICHIJI, K_SPACE, K_TESUU, K_TORYO, K_WHITE, osl::NumEffectState::makeMove(), osl::record::RecordFile::record, osl::SimpleState::setPiece(), osl::Square::STAND(), osl::kakinoki::strToMove(), osl::kakinoki::strToPiece(), osl::record::KanjiMove::toPtype(), osl::SimpleState::turn(), osl::WHITE, and osl::Record::WhiteWin.

Referenced by KakinokiFile().

The documentation for this class was generated from the following files:

- kakinoki.h
- kakinoki.cc